#pragma once
#include "EntityState.h"
#include "CS_AmBubbleBeam.h"
#include "CS_AmBubbleBeamCharge.h"
extern const int CS_JackFishSTATENAME_BUBBLERBEAM;
//¼¼ÄÜ£ºÅÝÅÝÉäÏß
class CS_JackFishBubbleBeam :
    public EntitySkillState
{
public:
    CS_JackFishBubbleBeam();
    const wchar_t* GetSaveName() override;
    void SubStep() override;
    void ChangeStateMsg(int stateID) override;
    std::list<std::weak_ptr<CS_AmBubbleBeam>> amList;
    static void AddToAmList(std::weak_ptr<Entity> parent, std::weak_ptr<CS_AmBubbleBeam> am);
    static void RemoveFromAmList(std::weak_ptr<Entity> parent, std::weak_ptr<CS_AmBubbleBeam> am);
    int level = 0;
    std::weak_ptr<CS_AmBubbleBeamCharge> bubbleCharge;
};

